Cube Long Arrow Right External Link angle-right Search Times Spinner angle-left

System Requirements for viewing a course

Supported browsers — playback

We support playback in browsers that can decode H.264 videos in an HTML5 player. Due to rising security vulnerabilities, we no longer support Flash. If you’re using an older browser, system, or website, you’ll need to upgrade to continue watching BRIQHT ideas courses.

Here is a list of our supported browsers/versions:

  • Chrome 30+ (has automatic updates)
  • Firefox 27+ (has automatic updates)*
  • Internet Explorer 11*
  • Microsoft Edge 
  • Safari 9+ 

*H.264 video (required for viewing BRIQHT ideas courses) is only supported in Firefox for Windows 7 and later. Firefox versions on Windows XP are no longer supported for playback. 

*Older versions of Internet Explorer (IE 10, 9, 8, etc) that lack support for the TLS 1.2 protocol and HTML5 cannot be used to play BRIQHT ideas courses. As of January 12, 2016, Microsoft has stopped releasing updates to older versions of IE. (Microsoft's official statement on IE support can be found here)

Supported operating systems — playback

The BRIQHT ideas player operates in a wide range of operating systems, but we can only guarantee full functionality on systems that are still being supported by their proprietors.

Microsoft has ended support for Windows XP and Windows Vista

The earliest version of MacOS still receiving extended support from Apple is Sierra (v. 10.12.6), and support for it is rumored to end in September 2019. Earlier versions of MacOS (El Capitan, Yosemite, Mavericks, etc) are not supported. 

While we still love to hear about bugs affecting older systems, we cannot always guarantee they’ll be prioritized or solved.

Mobile/Tablets

  • Android (Lollipop) version 5.0+
  • iOS version 9.3.5+ 

⚠️ Blackberry and Windows phone users: You may still able to view BRIQHT ideas courses on devices that support HTML5; however, we do not test out our player in these environments and thus cannot guarantee support.